﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Windows.Input;
using System.Collections.ObjectModel;

namespace XamGridCheckBoxSelector
{
    public class MyViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Person> _people;
        public ObservableCollection<Person> People
        {
            get { return _people; }
            set
            {
                _people = value;
                NotifypropertyChanged("People");
            }
        }

        public MyViewModel()
        {
            People = new ObservableCollection<Person>();

            People.Add(new Person() { Id = 1, LastName = "Davis" });
            People.Add(new Person() { Id = 2, LastName = "Bush", Age = 34.5555 });
            People.Add(new Person() { Id = 3, LastName = "Doe", Age = 56 });
            People.Add(new Person() { Id = 4, LastName = "Smith", Age = 23 });
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void NotifypropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
